@echo off

echo Make CM Multiboot CD/DVD iso image
echo Usage: CM_Make_Multiboot_ISO.bat [src-path] [dst-path]
echo        [src-path] - Path to ISO root dir
echo        [dst-path] - Path to store CM_MultiBoot.iso
echo Example: CM_Make_Multiboot_ISO.bat C:\BootCDRoot D:\MyISOs 
echo Note: Last char on paths can't be "\".
 
If "%2"=="" Echo Too few arguments. See usage. & goto :EOF 
If NOT "%3"=="" Echo Too many arguments. See usage. & goto :EOF 

del /F /Q %2\CM_MultiBoot.iso

mkisofs -iso-level 4 -volid "CMMultiBoot" -b boot/isolinux/isolinux.bin -c boot/isolinux/boot.cat -boot-info-table -no-emul-boot -boot-load-size 4 -o %2\CM_MultiBoot.iso %1


rem "%_base%mkisofs.exe" -iso-level 4 -force-uppercase -volid "BartPE" -b bootsect.bin -no-emul-boot -boot-load-size 4 -hide bootsect.bin -hide boot.catalog -o %_target%\bartpe.iso "%_base%bartpe"

rem mkisofs -no-emul-boot -boot-load-size 4 -rock -joliet -joliet-long -full-iso9660-filenames -allow-lowercase -iso-level 4 -max-iso9660-filenames -allow-leading-dots -o CM_MultiBoot.iso -volid "CM MultiBoot" -b boot/isolinux/isolinux.bin -c boot/isolinux/boot.cat -boot-info-table %1

rem -no-emul-boot -boot-load-size 4
